export const FormColumns = [
  {
    key: "puOrgName",
    title: "采购组织",
  },
  { key: "code", title: "合同编码" },
  {
    key: "status",
    title: "状态",
    inputType: "Select",
    referName: "documents_status",
  },
  {
    key: "lastPuMoney",
    title: "上年度采购额",
  },
  {
    key: "buyerName",
    title: "采购员",
  },
  {
    key: "supplierName",
    title: "供应商",
  },
  {
    key: "contractType",
    title: "合同类型",
    inputType: "Select",
    referName: "puarchase_contract_contract_type",
  },
  {
    key: "puMoneyYear",
    title: "本年度采购额",
  },
  {
    key: "puDeptName",
    title: "采购部门",
  },
  {
    key: "supplierTier",
    title: "供应商层级",
    inputType: "Select",
    referName: "puarchase_contract_supplier_tier",
  },
  { key: "contractName", title: "合同名称" },
  {
    key: "grossRateAverage",
    title: "平均毛利率",
  },
  {
    key: "approveFlow",
    title: "审批流程",
    inputType: "Select",
    referName: "puarchase_contract_approve_flow",
  },
  {
    key: "consumableClass",
    title: "耗材类别",
    inputType: "Select",
    referName: "puarchase_contract_consumable_class",
  },
  {
    key: "effectiveDate",
    title: "合同生效日期",
  },
  {
    key: "brandGrossRate",
    title: "同类品牌及毛利率",
  },
  {
    key: "contractFormat",
    title: "合同格式",
    inputType: "Select",
    referName: "puarchase_contract_contract_format",
  },
  {
    key: "productName",
    title: "产品类别&名称",
  },
  {
    key: "endDate",
    title: "合同终止日期",
  },
  {
    key: "invoiceTax",
    title: "发票税率",
  },
  {
    key: "emergencyDegree",
    title: "紧急程度",
    inputType: "Select",
    referName: "puarchase_contract_emergency_degree",
  },
  { key: "project", title: "项目医院" },
  {
    key: "signDate",
    title: "合同签订日期",
  },
  {
    key: "deliveryType",
    title: "交货方式",
    inputType: "Select",
    referName: "puarchase_contract_delivery_type",
  },
  {
    key: "source",
    title: "合同来源",
  },
  {
    key: "contractPartycName",
    title: "合同丙方",
  },
  {
    key: "guaranteePeriodEnd",
    title: "质保期限",
  },
  {
    key: "freightMethods",
    title: "运费承担方式",
    inputType: "Select",
    referName: "puarchase_contract_freight_methods",
  },
  {
    key: "signDate",
    title: "合同创建时间",
  },
  {
    key: "isTarget",
    title: "是否有指标",
    inputType: "Select",
    referName: "sys_yes_no",
  },
  {
    key: "contractTarget",
    title: "合同指标",
  },
  {
    key: "exemptionPostageCondtion",
    title: "包邮条件",
  },
  {
    key: "isRebate",
    title: "是否有返利",
    inputType: "Select",
    referName: "sys_yes_no",
  },
  {
    key: "rebatePolicy",
    title: "返利政策",
  },
  { key: "externalContract", title: "外部合同号" },
  {
    key: "rollbackPolicy",
    title: "退换货政策",
  },
  { key: "enquiryCode", title: "询价单号" },
  {
    key: "contractContent",
    title: "合同主要内容",
  },
  { key: "refusalReasons", title: "拒绝理由" },

  {
    key: "externalFile",
    title: "对外附件",
    inputType: "Upload",
  },
  {
    key: "puFile",
    title: "采购商盖章合同附件",
    inputType: "Upload",
  },
  {
    key: "supplierFile",
    title: "供应商盖章合同附件",
    inputType: "Upload",
  },
  { key: "projectCode", title: "项目编号" },
  { key: "projectName", title: "项目名称" },
  { key: "area", title: "区域" },
  { key: "consigneePhone", title: "收货人联系方式" },
  {
    key: "paymentAgreement",
    title: "付款协议",
  },
  {
    key: "taxPrice",
    title: "价税合计",
  },
  {
    key: "currencyName",
    title: "币种",
  },
  { key: "guaranteePeriod", title: "质保期" },
];

export const SearchColumns = [
  { key: "contractName", title: "合同名称", inputType: "Input" },
];
