import { initRules, initParams } from "@/utils/init";

export default function useData(prop) {
  const { FormColumns, TabColumns } = prop;
  const size = "mini";
  const width = "100%";
  const visible = false;
  const loading = false;
  const formColumns = FormColumns;
  const rules = initRules(FormColumns);
  const params = {
    ...initParams(FormColumns),
    contractItemList: [],
    contractClauseList: [],
    contractExpenseList: [],
    contractAgreementList: [],
    contractApplyOrgList: [],
  };
  const tabColumns = TabColumns;
  const tabName = "contractItemList";
  return {
    size,
    width,
    visible,
    loading,
    formColumns,
    rules,
    params,
    tabColumns,
    tabName,
  };
}
